import { z } from 'zod';
import { Options } from '../types.js';
import { GitHub } from './getGitHub.js';
import 'octokit';

interface GitHubAndOptions {
    github: GitHub | undefined;
    options: Options;
}
interface OptionsParseCancelled {
    cancelled: true;
    options: object;
    zodError?: z.ZodError<object>;
}
interface OptionsParseSuccess extends GitHubAndOptions {
    cancelled: false;
}
type OptionsParseResult = OptionsParseCancelled | OptionsParseSuccess;
declare function readOptions(args: string[]): Promise<OptionsParseResult>;

export { GitHubAndOptions, OptionsParseCancelled, OptionsParseResult, OptionsParseSuccess, readOptions };
